:root {
  --component-preview-bg: var(--vp-c-bg);
  --component-preview-soft: var(--vp-c-bg-soft);
  --component-preview-mute: var(--vp-c-bg-mute);
  --component-preview-border: rgb(240, 240, 240);
  --component-preview-text-1: var(--vp-c-text-1);
  --component-preview-text-2: var(--vp-c-text-2);
  --component-preview-text-3: var(--vp-c-text-3);
  --component-preview-text-4: var(--vp-c-text-4);
  --component-preview-code-block-bg: #343030;
  --component-preview-primary-color: var(--vp-c-brand);
}

.dark:root {
  --component-preview-bg: var(--vp-c-bg);
  --component-preview-soft: var(--vp-c-bg-soft);
  --component-preview-mute: var(--vp-c-bg-mute);
  --component-preview-border: rgb(240, 240, 240, 0.1);
  --component-preview-text-1: var(--vp-c-text-1);
  --component-preview-text-2: var(--vp-c-text-2);
  --component-preview-text-3: var(--vp-c-text-3);
  --component-preview-text-4: var(--vp-c-text-4);
  --component-preview-code-block-bg: #282626;
  --component-preview-primary-color: var(--vp-c-brand);
}

$defaultPrefix: 'vitepress-demo-preview';

$componentPrefix: 'ant-design';
$containerPrefix: #{$defaultPrefix}__#{$componentPrefix};

.#{$containerPrefix}__container > * {
  font-size: 14px;
}

.#{$containerPrefix}__container {
  div[class*='language-'] {
    margin-top: 0;
    margin-bottom: 0;
    border-radius: 0;
    background-color: var(--component-preview-bg);
  }
}

.#{$containerPrefix}__container {
  width: 100%;
  border-radius: 4px;
  border: 1px solid var(--component-preview-border);
  box-shadow: 0px 0px 10px var(--component-preview-border);
  margin: 10px 0;
  overflow: hidden;

  .#{$defaultPrefix}-preview,
  .#{$defaultPrefix}-description,
  .#{$defaultPrefix}-source {
    width: 100%;
  }
}

.#{$containerPrefix}__container > .#{$defaultPrefix}-preview {
  padding: 20px 20px 30px 20px;

  & > p {
    margin: 0;
    padding: 0;
  }
}

.#{$containerPrefix}__container > .#{$defaultPrefix}-description {
  .#{$defaultPrefix}-description__title {
    width: 100%;
    position: relative;
    padding-left: 25px;

    &::before {
      content: '';
      position: absolute;
      width: 3%;
      border-top: 1px solid var(--component-preview-border);
      top: 12px;
      left: 0;
    }

    &::after {
      content: '';
      position: absolute;
      width: 100%;
      border-top: 1px solid var(--component-preview-border);
      top: 12px;
      margin-left: 5px;
    }
  }

  .#{$defaultPrefix}-description__content {
    padding: 20px;
  }

  .#{$defaultPrefix}-description__split-line {
    border-bottom: 1px dashed var(--component-preview-border);
  }

  .#{$defaultPrefix}-description__handle-btn {
    padding-top: 10px;
    padding-bottom: 10px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;

    svg {
      width: 16px;
      height: 16px;
      fill: currentColor;
      color: var(--component-preview-text-1);
      cursor: pointer;
    }

    svg:not(:last-of-type) {
      margin-right: 8px;
    }
  }
}

.#{$containerPrefix}__container > .#{$defaultPrefix}-source {
  overflow: hidden;
  transition: all 0.3s ease-in-out;
}
